/* db_log.h - Contains settings for RADIUS SQL logging */

/*
 *
 * Copyright 1997, 1998 Damien Miller <dmiller@vitnet.com.sg>
 *
 * Permission to use, copy, modify, and distribute this software 
 * for any purpose and without fee is hereby granted, provided 
 * that this copyright and permission notice appear on all copies 
 * and supporting documentation.
 *
 * Damien Miller makes no representations about the suitability 
 * of this software for any purpose.  It is provided "as is" 
 * without express or implied warranty.
 *
 */

/* Hostname for database */
#define SQL_DB_HOST		NULL

/* Name of database */
#define SQL_DB_NAME		"radius"

/* Name of table in database */
#define SQL_DB_TABLE		"radius_log"

/* User name for database access */
#define SQL_DB_USER		NULL

/* Password for database access */
#define SQL_DB_PASS		NULL

/* Number of attributes we are interested in */
#define SQL_NUM_ATTRIBS 26

/* Which attribute names we are interested in */
/* see radius_log.def for a MySQL example */
char                *sql_log_pairs[SQL_NUM_ATTRIBS] =
{
	"Acct-Authentic",
	"Acct-Delay-Time",
	"Acct-Input-Octets",
	"Acct-Input-Packets",
	"Acct-Output-Octets",
	"Acct-Output-Packets",
	"Acct-Session-Id",
	"Acct-Session-Time",
	"Acct-Status-Type",
	"Ascend-Connect-Progress",
	"Ascend-Data-Rate",
	"Ascend-Xmit-Rate",
	"Ascend-Disconnect-Cause",
	"Ascend-Event-Type",
	"Ascend-First-Dest",
	"Ascend-Pre-Input-Octets",
	"Ascend-Pre-Input-Packets",
	"Ascend-Pre-Output-Octets",
	"Ascend-Pre-Output-Packets",
	"Ascend-PreSession-Time",
	"Client-Port-DNIS",
	"Framed-Address",
	"Framed-Protocol",
	"NAS-Identifier",
	"NAS-Port",
	"User-Name"
};

/* The column names in our database. */
char                *sql_field_names[SQL_NUM_ATTRIBS] =
{
	"Acct_Authentic",
	"Acct_Delay_Time",
	"Acct_Input_Octets",
	"Acct_Input_Packets",
	"Acct_Output_Octets",
	"Acct_Output_Packets",
	"Acct_Session_Id",
	"Acct_Session_Time",
	"Acct_Status_Type",
	"Ascend_Connect_Progress",
	"Ascend_Data_Rate",
	"Ascend_Xmit_Rate",
	"Ascend_Disconnect_Cause",
	"Ascend_Event_Type",
	"Ascend_First_Dest",
	"Ascend_Pre_Input_Octets",
	"Ascend_Pre_Input_Packets",
	"Ascend_Pre_Output_Octets",
	"Ascend_Pre_Output_Packets",
	"Ascend_PreSession_Time",
	"Client_Port_DNIS",
	"Framed_Address",
	"Framed_Protocol",
	"NAS_Identifier",
	"NAS_Port",
	"User_Name"
};
